#ifndef FrameCPP__COMMON__FR_END_OF_FILE_HH
#define FrameCPP__COMMON__FR_END_OF_FILE_HH

#include "framecpp/Common/FrameSpec.hh"

namespace FrameCPP
{
  namespace Common
  {
    class Description;

    class FrEndOfFile
      : public FrameSpec::Object
    {
    public:
      typedef INT_8U seekTOC_cmn_type;

      static const Common::FrameSpec::Info::frame_object_types s_object_id
      = Common::FrameSpec::Info::FSI_FR_END_OF_FILE;

      FrEndOfFile( const Description* Desc );

      virtual ~FrEndOfFile( );

      virtual seekTOC_cmn_type SeekTOC( ) const;
    };
  } // namespace - Common
} // namespace - FrameCPP


#endif /* FrameCPP__COMMON__FR_END_OF_FILE_HH */
